# Fax2 API Javascript Demo

This package contains nodejs programs and a module that demonstrates usage of the Fax2 API.

It has been tested to work on nodejs 4.2.6 and later.  It uses only core nodejs libraries and so does not require any external modules.

To use it, first add your Fax2 username and password to `credentials.js`.

`send-fax.js` sends a sample fax, containing some in-code text and an external document.  The destination fax number is in the code.  Change it to a fax number of your own (your Fax2 number is an option) then run it with `nodejs send-fax.js`.

`receive-faxes.js` will run continuously, polling the service for received faxes, and saving them to the current directory as they arrive.  Simply run it with `nodejs receive-faxes.js`.

More info on the Fax2 API can be found at:

<https://www.fax2.com.au/api>
